#include <stdio.h>
double maksimalan(double a[],int n){
    double max=a[0];
    for(long int i=1;i<n;i++){
       if(a[i]>max) max=a[i];
    }
    return max;
}
int main(void)
{
    long int n;
    scanf("%ld",&n);
    double a[n],p[n],m[n];
    for(long int t=0;t<n;t++){
        m[t]=0;
    }
    for(long int i=0;i<n;i++)
        scanf("%lf%lf",&a[i],&p[i]);
    for(long int j=0;j<n;j++){
        for(long int k=0;k<n;k++){
            if(p[j]<=p[k])
                m[j]+=p[j]*a[k]/100;
        }
    }
    printf("%lf",maksimalan(m,n));
}